package study.xdoclet.ejb;

import javax.ejb.EntityBean;

/**
 * @ejb.bean name="Mileage"
 *  jndi-name="ejb/Mileage"
 *  local-jndi-name="ejb/MileageLocal"
 *  type="CMP"
 *  view-type="both"
 *  primkey-field="customerId"
 * @ejb.finder 
 *    signature="java.util.Collection findAll()"  
 * @ejb.ejb-ref
 *  ejb-name = "Mileage"
 *  view-type = "local"
 *  ref-name = "ejb/MileageLocal"
 * @ejb.value-object
 *  match = "*"
 * @ejb.util
 *  generate = "physical"
 *  
 * @jboss.persistence 
 *   table-name="mileage" 
 *   create-table="true"
 *   remove-table="true"
 * 
 */
public abstract class MileageBean implements EntityBean {

    /**
     * The  ejbCreate method.
     * 
     * @ejb.create-method 
     */
    public java.lang.Integer ejbCreate() throws javax.ejb.CreateException {
        return null;
    }

    /**
     * The  ejbCreate method.
     * 
     * @ejb.create-method 
     */
    public java.lang.Integer ejbCreate(
        java.lang.Integer customerId,
        java.lang.Integer mileage)
        throws javax.ejb.CreateException {
        setCustomerId(customerId);
        setMileage(mileage);
        return null;
    }

    /**
     * Returns the customerId
     * @return the customerId
     * 
     * @ejb.persistent-field 
     * @ejb.pk-field 
     * @ejb.interface-method
     * @ejb.relation
     *    name="Customer-has-Mileage"
     *    role-name="Mileage-has-Customer"
     *    cascade-delete="yes"
     * 
     * @jboss.relation
     *    related-pk-field="customerId"
     *    fk-column="customer_id"
     * @jboss.column-name
     *    name="customer_id"
     */
    public abstract java.lang.Integer getCustomerId();

    /**
     * Sets the customerId
     * @param java.lang.Integer the new customerId value
     * 
     * @ejb.interface-method
     * 
     */
    public abstract void setCustomerId(java.lang.Integer customerId);

    /**
     * Returns the mileage
     * @return the mileage
     * 
     * @ejb.persistent-field 
     * @ejb.interface-method
     * 
     * @jboss.column-name
     *    name="mileage"
     */
    public abstract java.lang.Integer getMileage();

    /**
     * Sets the mileage
     * @param java.lang.Integer the new mileage value
     * 
     * @ejb.interface-method
     */
    public abstract void setMileage(java.lang.Integer mileage);

    /**
     * setMileageValue
     * @param value
     * 
     * @ejb.interface-method 
     */
    public abstract void setMileageValue(study.xdoclet.ejb.MileageValue value);

}
